﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using DevExpress.Utils;

@using System.Drawing;

@model Toyota.Common.Web.MVC.ModelHolder

<table width="100%" cellpadding="3" cellspacing="3" border="0" >
    <tr>
        <td style="width:125px;">Trucking</td>
        <td style="width:100px;"> 
           @Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "LP_Option";
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Width = 100;
                settings.ClientEnabled = false;
            }).GetHtml()
                       
        </td>


        <td style="width:80px;">Partner Bank</td>
        <td>
            @Html.Common().DevExpress().GridLookup(
            s =>
            {
                s.Name = "PartnerBankOption";
                s.GridProperties.Name = "gridPartenBank";
                s.GridProperties.KeyFieldName = "SUPP_BANK_KEY";
                    
                s.Width = 100;
                    
                s.GridProperties.Width = 100;
                s.ReadOnly = true;
                s.GridProperties.CallbackRouteValues = new { Controller = "D31405", Action = "PartnerBankLookup" };
                s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(310);
                s.GridProperties.Height = System.Web.UI.WebControls.Unit.Pixel(320);
                s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                s.GridProperties.CommandColumn.ShowSelectCheckbox = true;


                s.GridProperties.Columns.Add(column =>
                {
                    column.Name = "SupplierBankType";
                    column.FieldName = "SUPP_BANK_TYPE";
                    column.Caption = "Bank Type";
                    column.Width = Unit.Pixel(80);
                    column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                });
                s.GridProperties.Columns.Add(column =>
                {
                    column.Name = "SupplierBankKey";
                    column.FieldName = "SUPP_BANK_KEY";
                    column.Caption = "Bank Code";
                    column.Width = Unit.Pixel(80);
                    column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                });
                s.GridProperties.Columns.Add(column =>
                {
                    column.Name = "SupplierAccount";
                    column.FieldName = "SUPP_ACCOUNT";
                    column.Caption = "Account";
                    column.Width = Unit.Pixel(350);
                    column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                });
            }
        ).Bind(ViewData["PartnerBankLookup"]).GetHtml()

        
        </td>
    </tr>
    
    <tr>
        <td>Trucking Invoice No</td>
        <td>
            @Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "LP_INV_NO";
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Width = 100;
                settings.ClientEnabled = false;
            }).GetHtml()
        </td>


        <td>Amount</td>
        <td>
            @Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "AMOUNT";
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Width = 100;
                settings.ClientEnabled = false;
            }).GetHtml()
        </td>
    </tr>

    <tr>
        <td valign="top">Posting date</td>
        <td valign="top">
            @Html.DevExpress().DateEdit(
            settings =>
            {
                settings.Name = "POS_DT";
                settings.Properties.MaxLength = 9;
                //settings.Properties.NullText = "<dd.MM.yyyy>";
                settings.Properties.EditFormat = EditFormat.Custom;
                settings.Properties.EditFormatString = "dd.MM.yyyy";
                settings.Properties.DisplayFormatString = "dd.MM.yyyy"; 
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Width = 100;
            }).GetHtml()
        </td>


        <td valign="top">Invoice Note</td>
        <td>
           @Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "INV_NOTE";
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Width = 100;
                settings.ClientEnabled = true;
                settings.Properties.MaxLength = 255;
            }).GetHtml()
        </td>
    </tr>
    
    <tr>
        <td>Invoice Date</td>
        <td>
            @Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "INV_DT";
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Width = 100;
                settings.ClientEnabled = false;
                
            }).GetHtml()
        </td>



        <td>Header Text</td>
        <td>
            @Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "HEADER_TEXT";
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Width = 100;
                settings.ClientEnabled = false;
            }).GetHtml()
        </td>
    </tr>

    <tr>
        <td>Baseline Date</td>
        <td>
            @Html.DevExpress().DateEdit(
            settings =>
            {
                settings.Name = "BASELINE_DT";
                settings.Properties.MaxLength = 9;
                //settings.Properties.NullText = "<dd.MM.yyyy>";
                settings.Properties.EditFormat = EditFormat.Custom;
                settings.Properties.EditFormatString = "dd.MM.yyyy";
                settings.Properties.DisplayFormatString = "dd.MM.yyyy"; 
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Width = 100;
            }).GetHtml()
        </td>



        <td>Tax Code</td>
        <td>
            @Html.Common().DevExpress().GridLookup(
            s =>
            {
                s.Name = "TaxOption";
                s.GridProperties.Name = "gridTax";
                s.GridProperties.KeyFieldName = "TAX_CD";

                s.Width = 100;

                s.GridProperties.Width = 300;
                s.ReadOnly = true;
                s.GridProperties.CallbackRouteValues = new { Controller = "D31405", Action = "TaxLookup" };
                s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(400);
                s.GridProperties.Height = System.Web.UI.WebControls.Unit.Pixel(320);
                s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                s.GridProperties.CommandColumn.ShowSelectCheckbox = true;



                s.GridProperties.Columns.Add(c =>
                {
                    c.Name = "TAX_CD";
                    c.FieldName = "TAX_CD";
                    c.Caption = "Code";
                    c.Width = Unit.Pixel(50);
                    c.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    c.CellStyle.VerticalAlign = VerticalAlign.Middle;
                });
                s.GridProperties.Columns.Add(c =>
                {
                    c.Name = "TAX_NAME";
                    c.FieldName = "TAX_NAME";
                    c.Caption = "Name";
                });
            }
        ).Bind(ViewData["TaxLookup"]).GetHtml()
        </td>
    </tr>

    <tr>
        <td>Term Of Payment</td>
        <td>
            @Html.Common().DevExpress().GridLookup(
            s =>
            {
                s.Name = "PayTermOption";
                s.GridProperties.Name = "gridTermOfPayment";
                s.GridProperties.KeyFieldName = "PAY_TERM_CD";
                    
                s.Width = 100;
                    
                s.GridProperties.Width = 100;
                s.ReadOnly = true;
                s.GridProperties.CallbackRouteValues = new { Controller = "D31405", Action = "TermPaymentLookup" };
                s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(330);
                s.GridProperties.Height = System.Web.UI.WebControls.Unit.Pixel(320);
                s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                s.GridProperties.CommandColumn.ShowSelectCheckbox = true;
                    
                    
                s.GridProperties.Columns.Add(c =>
                {
                    c.Name = "PAY_TERM_CD";
                    c.FieldName = "PAY_TERM_CD";
                    c.Caption = "Code";
                    c.Width = Unit.Pixel(50);
                    c.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    c.CellStyle.VerticalAlign = VerticalAlign.Middle;
                });
                s.GridProperties.Columns.Add(c =>
                {
                    c.Name = "PAY_TERM_NAME";
                    c.FieldName = "PAY_TERM_NAME";
                    c.Caption = "Name";
                });
            }
        ).Bind(ViewData["TermPaymentLookup"]).GetHtml()
        </td>



        <td>Tax Date</td>
        <td>
            @Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "TAX_DT";
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Width = 100;
                settings.ClientEnabled = false;
            }).GetHtml()
        </td>
    </tr>

    <tr>
        <td>Payment Method</td>
        <td>
            @Html.Common().DevExpress().GridLookup(
            s =>
            {
                s.Name = "PayMethodOption";
                s.GridProperties.Name = "gridPayMethod";
                s.GridProperties.KeyFieldName = "PAY_METHOD_CD";
                    
                s.Width = 100;
                    
                s.GridProperties.Width = 100;
                s.ReadOnly = true;
                s.GridProperties.CallbackRouteValues = new { Controller = "D31405", Action = "PaymentMethodLookup" };
                s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(310);
                s.GridProperties.Height = System.Web.UI.WebControls.Unit.Pixel(320);
                s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                s.GridProperties.CommandColumn.ShowSelectCheckbox = true;
                    
                    
                s.GridProperties.Columns.Add(c =>
                {
                    c.Name = "PAY_METHOD_CD";
                    c.FieldName = "PAY_METHOD_CD";
                    c.Caption = "Code";
                    c.Width = Unit.Pixel(50);
                    c.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    c.CellStyle.VerticalAlign = VerticalAlign.Middle;
                });
                s.GridProperties.Columns.Add(c =>
                {
                    c.Name = "PAY_METHOD_NAME";
                    c.FieldName = "PAY_METHOD_NAME";
                    c.Caption = "Name";
                });
            }
        ).Bind(ViewData["PaymentMethodLookup"]).GetHtml()
        </td>



        <td>&nbsp;</td>
        <td></td>
    </tr>
   
    
</table>
<hr />

<br />
<table cellpadding="0" cellspacing="0" style="padding:5px;">

    <tr>       
       
            <td style="float:right; padding-left:7px;">
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnCancel_click";
                    button.Text = "Cancel";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "function(s, e){ popupVerificationInvoice.Hide(); }";
                }
            ).GetHtml()
        </td>
         <td style="float:right;padding-left:7px;">
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnPost";
                    button.Text = "Post";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "performPosting";
                    //button.AllowFocus = true;
                    

                }
            ).GetHtml()
        </td>
        <td style="float:right;">
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnSave";
                    button.Text = "Save";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "PostingSave_Click";
                    
                    

                }
            ).GetHtml()
        </td>
    </tr>
</table>
